@import url('https://fonts.googleapis.com/css2?family=Inter+Tight:wght@100;200;300;400;500;600;700;800;900&display=swap');

:root{
    --font-family: 'Inter Tight', sans-serif;
    --white: #ffffff;
    --orange: #EE8309;
    --text-color: #1E1E1E;
    --background-color: #FFFFFF;
    --fz-slider-title: 25px;
    --fz-text: 16px;
    --fz-btn: 14px;
    --fz-header: 20px;
    --fz-plashki-title: 25px;
    --fz-title-block: 30px;    
    --len-container: 1170px;
    --pic-h: 217px;
    --img-w: calc( ( var(--len-container) - 3 * var(--gap) ) / 4 );
    --img-w3: calc( ( var(--len-container) - 2 * var(--gap) ) / 3 );
    --img-h: 247px;
    --bt-w: 161px;
    --bt-h: 40px;
    --bs-offcanvas-zindex: 10046;
    --mb-block: 80px;
    --gap: 30px;
}

body {
    font-family: var(--font-family);
    background-color: var(--beige);
    color: var(--text-color);
}
main{
    min-height: 100vh;
    overflow: hidden;
}

@media (min-width: 1200px) {
    .container{
        max-width: 1170px;
        padding: 0;
    }
}
@media (min-width: 768px) {
    header#header-mob {
        display: none !important;
    }
    header#header {
        display: block !important;
    }
}
@media (max-width: 767px) {
    header#header {
        display: none !important;
    }
    header#header-mob {
        display: flex !important;
    }
    
}
p{
    margin-bottom: 0;
}


.ui-dialog {
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
    max-width: calc(100% - 20px);
    max-height: calc(100% - 20px);
}
img{
    max-width: 100%;
    height: auto;
}
/*HEADER STYLES*/
#footer .ajax-progress,
#header .ajax-progress {
    display: none;
}

.header-bottom {
    background: #ccc;
}

.toolbar .toolbar-tab .toolbar-icon {
    padding: 0.75em 1.5em 0.75em 2.5em;
}

/* *** contextual-region *** */
.contextual-region .contextual {
    display: none;
    top: -8px;
    right: 8px;
}

.contextual-region .contextual-region .contextual {
    top: 8px;
}

.contextual-region:hover .contextual {
    display: block;
}

.contextual-region .contextual .trigger {
    width: 22px !important;
    height: 22px !important;
    background-size: 14px 14px;
}

.cart-block--summary .cart-block--summary__count {
    position: absolute;
    width: 18px;
    height: 18px;
    border: 2px solid #fff;
    background: #ccc;
    color: #fff;
    top: -3px;
    right: -9px;
    border-radius: 50%;
    font-size: 10px;
    font-weight: 500;
}

#header-mob {
    top: 0;
    width: 100%;
    background: #F5F5F5;
    padding: 8px 5px;
    z-index: 50;
}

#header-mob.toolbar-horizontal #header-mob {
    top: 0;
}

#header-mob > * {
    padding: 0 10px;
}

#header-mob a {
    color: #000;
}

.offcanvas {
    --bs-offcanvas-bg: #F5F5F5;
}

.offcanvas .offcanvas-title {
    color: #000;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 500;
}

.region-navigation .nav > .nav-item:hover .dropdown-menu {
    display: block;
    top: 100%;
    left: 0;
}


/*HEADER STYLES*/

/* SLICK STYLES */
div#slider-block .view.view-slayder.view-id-slayder .view-content .node--type-slide .content {
    position: absolute;
    top: 0;
    bottom: calc(1vw + 12px);
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff;
}

.slick-prev, .slick-next {
    font-size: 0;
    line-height: 0;
    position: absolute;
    top: calc(50% - 10px);
    display: block;
    width: 20px;
    height: 20px;
    padding: 0;
    -webkit-transform: translate(0, -50%);
    -ms-transform: translate(0, -50%);
    transform: translate(0, -50%);
    cursor: pointer;
    color: transparent;
    border: none;
    outline: none;
    background: transparent;
}

button.slick-prev.slick-arrow {
    left: 25px;
}

button.slick-next.slick-arrow {
    right: 25px;
}

ul.slick-dots {
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 7px;
    list-style: none;
    margin: 10px 0;
}

ul.slick-dots li button {
    background: #686868;
    border-radius: 50%;
    border: none;
    padding: 0;
    width: 10px;
    font-size: 0;
    height: 10px;
    display: block;
}

ul.slick-dots li button::before {
    display: none;
}

ul.slick-dots li.slick-active button {
    background: #272727;
}

button.slick-arrow {
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
}

button.slick-arrow::before {
    content: '';
    display: block;
    position: relative;
    width: 30px;
    height: 30px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    font-size: 0;
}

button.slick-prev.slick-arrow::before {
    background-image: url("/sites/all/themes/vesta_theme/image/arrow-top.svg");
    transform: rotate(-90deg);
}

button.slick-next.slick-arrow::before {
    background-image: url("/sites/all/themes/vesta_theme/image/arrow-top.svg");
    transform: rotate(90deg);
}

#scrollToTop {
    width: 45px;
    height: 45px;
    background: none;
    text-indent: 0;
    font-size: 0;
    border: 0px;
    outline: 0px;
    display: flex;
    bottom: 120px;
    cursor: pointer;
    position: fixed;
    right: 75px;
    z-index: 10;
    transition: 0.2s;
    padding: 0;
}

/* SLICK STYLES */

/* PRODUCT PAGE STYLES*/
.product-teaser {
    display: flex;
    gap: 50px;
}

.product-teaser .product-teaser-image {
    max-width: 500px;
}

.product-teaser .product-teaser-image .field.field--name-field-variation-image.field--type-image .elements .current-slide.slick-initialized.slick-slider {
    margin: 0 0 10px;
}

.product-teaser .product-teaser-image .field.field--name-field-variation-image.field--type-image .elements .current-slide.slick-initialized.slick-slider .slick-list.draggable .slick-track .element.slick-slide img {
    max-width: 500px;
    min-width: 500px;
    max-height: 500px;
    min-height: 500px;
    object-fit: cover;
}

.product-teaser .product-teaser-image .field.field--name-field-variation-image.field--type-image .elements .nav-slide.slick-initialized.slick-slider .slick-list.draggable {
    margin: 0 -5px;
}

.product-teaser .product-teaser-image .field.field--name-field-variation-image.field--type-image .elements .nav-slide.slick-initialized.slick-slider .slick-list.draggable .slick-track .element.slick-slide {
    margin: 0 5px;
    max-width: 118px;
    min-width: 118px;
    max-height: 118px;
    min-height: 118px;
}

.product-teaser .product-teaser-image .field.field--name-field-variation-image.field--type-image .elements .nav-slide.slick-initialized.slick-slider .slick-list.draggable .slick-track .element.slick-slide img {
    max-width: 118px;
    min-width: 118px;
    max-height: 118px;
    min-height: 118px;
    object-fit: cover;
}

.product-teaser .product-teaser-info {
    max-width: 500px;
}

.product-view-full button.slick-prev.slick-arrow {
    left: -25px;
}

.product-view-full button.slick-next.slick-arrow {
    right: -25px;
}


.node--view-mode-full .field--name-body img {
    margin: 0 10px;
}

/* PRODUCT PAGE STYLES*/


/* *** ADAPTIVE *** */
@media screen and (max-width: 1199px) {
}

@media screen and (max-width: 991px) {
    #offcanvasNav .nav .dropdown-menu {
        display: none;
        position: static;
        border: 0px solid;
        background: transparent;
        padding: 10px 0;
        border-bottom: 1px solid #BDBDBD;
    }

    #offcanvasNav li.nav-item {
        width: 100%;
    }
}

@media screen and (max-width: 767px) {
}

@media screen and (max-width: 576px) {
}
#app{
    position: relative;
}

#header{
    position: absolute;
    width: 100%;
    z-index: 1;
    .col-contacts{
        padding: 45px 50px;
        justify-content: end;
    }
    .logo a{
        font-family: 'Inter Tight';
        font-style: normal;
        font-weight: 900;
        font-size: var(--fz-plashki-title);
        text-transform: uppercase;
        color: #FFFFFF;
        text-decoration: none;
    }
    .logo a:hover{
        color: var(--orange);
    }
    .logo{
        margin-bottom: 10px;
    }
    .tel{
        font-family: 'Inter Tight';
        font-style: normal;
        font-weight: 700;
        font-size: 20px;
        color: #FFFFFF;
        text-decoration: none;
        margin-bottom: 5px;
    }
    .tel:hover{
        color: var(--orange);
    }
}
.node--type-baner.node--view-mode-full{
    position: relative;
    border-radius: 3px;
    overflow: hidden;
    .field--name-field-izobrazhenie-baner{
        width: var(--len-container);
        height: calc( var(--len-container) * 0.423 );
        position: relative;
        img{
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }
    .field--name-field-izobrazhenie-baner:after{
        content: '';
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: linear-gradient(194.05deg, rgba(0, 0, 0, 0) 48.37%, rgba(0, 0, 0, 0.41) 91.59%);
    }
}
h1{
    position: absolute;
    font-family: 'Inter Tight';
    font-style: normal;
    font-weight: 900;
    font-size: var(--fz-slider-title);
    text-transform: uppercase;
    color: #FFFFFF;
    z-index: 1;
    bottom: 50px;
    left: 50px;
}
#banner-block{
    margin-bottom: var(--mb-block);
}
.node--type-usluga.node--view-mode-teaser{
    margin-bottom: var(--mb-block);
    .field--name-body{
        margin-bottom: 5px;
    }
    .field--name-body p{
        font-family: 'Inter Tight';
        font-style: normal;
        font-weight: 900;
        font-size: var(--fz-title-block);
        line-height: calc( var(--fz-title-block) + 15px );
        text-transform: uppercase;
        color: #1E1E1E;
    }
    .tel-gr{
        display: flex;
        margin-bottom: var(--gap);
        .field--name-dynamic-token-fieldnode-pozvonit a{
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            width: var(--bt-w);
            height: var(--bt-h);
            background: #EE8309;
            border-radius: 3px;
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 600;
            font-size: var(--fz-btn);
            color: #FFFFFF;
            border: solid 1px var(--orange);
            box-sizing: border-box;
            text-decoration: none;
            text-transform: uppercase;
        }
        .field--name-dynamic-token-fieldnode-pozvonit a:hover{
            color: var(--text-color);
            background-color: transparent;
        }
    }
    .field--name-field-telefon1{
        display: flex;
        margin-right: 37px;
        .field__label, .field__item a{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 900;
            font-size: var(--fz-title-block);
            line-height: calc( var(--fz-title-block) + 15px );
            text-transform: uppercase;
            color: #1E1E1E;
            text-decoration: none;
        }
        .field__item a:hover{
            color: var(--orange);
        }
    }
    .field--name-field-materialy{
        display: flex;
        justify-content: space-between;
        margin-bottom: 40px;
    }
    .node--type-material.node--view-mode-teaser{
        width: var(--img-w3);
        .field--name-node-title{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 800;
            font-size: var(--fz-header);
            line-height: calc( var(--fz-header) + 4px );
            text-transform: uppercase;
            color: #1E1E1E;
            margin-bottom: 15px;
        }
        .field--name-body p{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 400;
            font-size: var(--fz-header);
            line-height: calc( var(--fz-header) + 4px );
            color: #1E1E1E;
            margin-bottom: 5px;
            text-transform: none;
        }
    }
    .field--name-field-oplata p{
        font-family: 'Inter Tight';
        font-style: normal;
        font-weight: 800;
        font-size: var(--fz-plashki-title);
        line-height: calc( var(--fz-plashki-title) + 5px );
        text-transform: uppercase;
        color: #000000;
    }
    .field--name-field-oplata{
        margin-bottom: var(--gap);
    }
    .field--name-field-foto-uslugi{
        display: flex;
        justify-content: space-between;
        .field__item{
            border-radius: 5px;
            overflow: hidden;
        }
    }
    .field--name-field-foto-uslugi.three-in-row .field__item img{
        width: var(--img-w3);
        height: calc( var(--img-w3) - 60px );
        object-fit: cover;
    }
    .field--name-field-foto-uslugi.four-in-row .field__item img{
         width: var(--img-w);
        height: var(--img-h);
        object-fit: cover;
    }
}
.view-uslugi .view-content .views-row:first-child .field--name-field-foto-uslugi .field__item img{
        height: var(--pic-h);
    }

.node--type-about{
    display: flex;
    justify-content: space-between;
    .field--name-field-izobrazhenie-o-nas{
        width: calc( ( var(--len-container) - var(--gap) ) / 2 );
        height: calc( var(--img-w3) + 10px );
        margin-right: var(--gap);
        a, a img{
            width: 100%;
            height: 100%;
        }
        a img{object-fit: cover;}
    }
    .left-group{
        width: calc( ( var(--len-container) - var(--gap) ) / 2 );
        .field--name-node-title{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 900;
            font-size: var(--fz-title-block);
            line-height: calc( var(--fz-title-block) + 15px );
            text-transform: uppercase;
            color: #1E1E1E;
            margin-bottom: 20px;
        }
        .field--name-body{
            max-height: 315px;
            p{
                font-family: 'Inter Tight';
                font-style: normal;
                font-weight: 400;
                font-size: var(--fz-text) ;
                line-height: calc( var(--fz-text) + 3px );
                color: #1E1E1E;
            }
        }
    }
}
#about-block{
    margin-bottom: var(--mb-block);
}
#footer{
    padding: 14px 0;
    border-top: 1px solid rgba(0, 0, 0, 0.3);
}
.row-copiryght{
    display: flex;
}
.copyright, .col-webvesta a{
    font-family: 'Inter Tight';
    font-style: normal;
    font-weight: 400;
    font-size: calc( var(--fz-text) - 1px );
    line-height: calc( var(--fz-text) + 2px );
    color: #828282;
    text-decoration: none;
}
.copyright{
    margin-right: 134px;
}
#map-block, #baner-block{
    margin-bottom: var(--mb-block);
}
.region-map{
    display: flex;
    justify-content: space-between;

    #block-vesta-theme-yandekskarta-2{
        width: calc( ( var(--len-container) - var(--gap) ) / 2 );
        height: 489px;
        margin-right: var(--gap);
        border-radius: 10px;
        overflow: hidden;
    }
    #block-vesta-theme-kontakty{
        width: calc( ( var(--len-container) - var(--gap) ) / 2 );
        background: #F5F5F5;
        border-radius: 10px;
        padding: 30px 40px 30px 30px;
        .field--name-body{
            row-gap: 25px;    
            column-gap: 33px;
            display: flex;
            justify-content: start;
            overflow: hidden;
            flex-wrap: wrap;
        }
        .block-title{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 900;
            font-size: var(--fz-title-block);
            line-height: calc( var(--fz-title-block) + 15px );
            text-transform: uppercase;
            color: #1E1E1E;
            margin-bottom: 31px;
        }
        .contacts-label{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 400;
            font-size: calc( var(--fz-text) - 1px );
            line-height: calc( var(--fz-text) + 2px );
            color: rgba(5, 23, 41, 0.5);
            margin-bottom: 5px;
            text-transform: lowercase;
        }
        .tel{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 700;
            font-size: var(--fz-plashki-title);
            line-height: calc( var(--fz-plashki-title) + 5px );
            color: #051729;
            text-decoration: none;

        }
        .col-tel{
            max-width: 233px;
            min-width: 233px;
        }
        .tel:hover{ color: var(--orange);}
        .grafik{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 400;
            font-size: var(--fz-text);
            line-height:  calc( var(--fz-text) + 3px );
            color: #051729;

        }
    }
}
.vpa-actions .btn-primary {
     border: solid 1px var(--orange) !important;
}
.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--orange);
    --bs-btn-border-color: var(--orange);
    --bs-btn-hover-color: var(--text-color);
    --bs-btn-hover-bg: var(--white);
    --bs-btn-hover-border-color: var(--orange);
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--orange);
    --bs-btn-active-border-color: var(--orange);
}
.btn {
    border-radius: 3px;
    
}
.vpa-actions .btn-primary:hover {
    color: var(--text-color);
    background: var(--white);
    border: solid 1px var(--orange) !important;

}

@media screen and (min-width: 992px) and (max-width: 1199px) {
:root{

    --fz-slider-title: 24px;
    --fz-text: 14px;
    --fz-btn: 13px;
    --fz-header: 18px;
    --fz-plashki-title: 21px;
    --fz-title-block: 26px;    
    --len-container: 960px;
    --pic-h: 180px;
    --img-w: calc( ( var(--len-container) - 3 * var(--gap) ) / 4 );
    --img-w3: calc( ( var(--len-container) - 2 * var(--gap) ) / 3 );
    --img-h: 205px;
    --bt-w: 161px;
    --bt-h: 36px;
    --bs-offcanvas-zindex: 10046;
    --mb-block: 70px;
    --gap: 30px;
}

.container{
    padding: 0;
}
.region-map {
    & #block-vesta-theme-kontakty {
        .col-tel {
            max-width: 200px;
            min-width: 200px;
        }
    }
}
.region-map {
    #block-vesta-theme-kontakty {
        padding: 20px 20px 20px 20px;
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .field--name-body {
            row-gap: 25px;
            column-gap: 25px;
        }
    }
}
.region-map {
    #block-vesta-theme-yandekskarta-2 {
        height: 450px;
    }
}

}


@media screen and (min-width: 768px) and (max-width: 991px) {
:root{

    --fz-slider-title: 22px;
    --fz-text: 14px;
    --fz-btn: 12px;
    --fz-header: 16px;
    --fz-plashki-title: 21px;
    --fz-title-block: 22px;    
    --len-container: 720px;
    --pic-h: 165px;
    --img-w: calc( ( var(--len-container) - 3 * var(--gap) ) / 4 );
    --img-w3: calc( ( var(--len-container) - 2 * var(--gap) ) / 3 );
    --img-h: 165px;
    --bt-w: 161px;
    --bt-h: 32px;
    --bs-offcanvas-zindex: 10046;
    --mb-block: 60px;
    --gap: 20px;
}

.container{
    padding: 0;
}
.region-map {
    & #block-vesta-theme-kontakty {
        .col-tel {
            max-width: 200px;
            min-width: 200px;
        }
    }
}
.region-map {
    #block-vesta-theme-kontakty {
        padding: 15px;
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .field--name-body {
            row-gap: 10px;
            column-gap: 25px;
        }
    }
}
.region-map {
    #block-vesta-theme-yandekskarta-2 {
        height: 450px;
    }
}
h1 {
    bottom: 25px;
    left: 25px;
}
#header {
    .logo {
        margin-bottom: 5px;
    }
}
#header {
    .tel {
        font-size: 18px;
        margin-bottom: 3px;
    }
}
#header {
    .col-contacts {
        padding: 30px 25px;
        justify-content: end;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-body p {
        line-height: calc(var(--fz-title-block) + 12px);
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi.three-in-row .field__item img {
        height: calc(var(--img-w3) - 30px);
    }
}
.node--type-about {
    .field--name-field-izobrazhenie-o-nas {
         height: calc(var(--img-w3) + 100px);
    }
}
.mapContainer{
    width: 350px !important;
    height: 489px;

}
.region-map {
    & #block-vesta-theme-kontakty {
        .block-title {
             margin-bottom: 10px;
        }
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .contacts-label {
            line-height: var(--fz-text);
            margin-bottom: 0;
        }
    }
}
#scrollToTop {
    width: 38px;
    height: 38px;
    right: 50px;
}
}


@media screen and (min-width: 577px) and (max-width: 767px) {
:root{

    --fz-slider-title: 20px;
    --fz-text: 14px;
    --fz-btn: 12px;
    --fz-header: 16px;
    --fz-plashki-title: 17px;
    --fz-title-block: 20px;    
    --len-container: 540px;
    --pic-h: 155px;
    --img-w: calc( ( var(--len-container) - var(--gap) ) / 3 );
    --img-w3: calc( ( var(--len-container) - 2 * var(--gap) ) / 3 );
    --img-h: 165px;
    --bt-w: 120px;
    --bt-h: 28px;
    --bs-offcanvas-zindex: 10046;
    --mb-block: 40px;
    --gap: 20px;
}
#scrollToTop {
    width: 38px;
    height: 38px;
    right: 50px;
    bottom: 50px;
}
.container{
    padding: 0;
}
.region-map {
    & #block-vesta-theme-kontakty {
        .col-tel {
            max-width: 200px;
            min-width: 200px;
        }
    }
}
.region-map {
    #block-vesta-theme-kontakty {
        padding: 15px;
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .field--name-body {
            row-gap: 10px;
            column-gap: 25px;
        }
    }
}
.region-map {
    #block-vesta-theme-yandekskarta-2 {
        height: 450px;
    }
}
h1 {
    bottom: 25px;
    left: 25px;
}
#header {
    .logo {
        margin-bottom: 5px;
    }
}
#header {
    .tel {
        font-size: 18px;
        margin-bottom: 3px;
    }
}
#header {
    .col-contacts {
        padding: 30px 25px;
        justify-content: end;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-body p {
        line-height: calc(var(--fz-title-block) + 12px);
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi.three-in-row .field__item img {
        height: calc(var(--img-w3) - 30px);
    }
}
.node--type-about {
    .field--name-field-izobrazhenie-o-nas {
         height: calc(var(--img-w3) + 100px);
    }
}
.mapContainer{
    width: 350px !important;
    height: 489px;

}
.region-map {
    & #block-vesta-theme-kontakty {
        .block-title {
             margin-bottom: 10px;
        }
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .contacts-label {
            line-height: var(--fz-text);
            margin-bottom: 0;
        }
    }
}
main {
    padding-top: 20px;
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi {
        flex-wrap: wrap;
        gap: var(--gap);
        justify-content: center;
    }
}
.node--type-about {
    flex-direction: column-reverse;
}
.node--type-about {
    .field--name-field-izobrazhenie-o-nas {
        width: 80%;
        height: 280px;
        margin-right: auto;
        margin-left: auto;
    }
}
.node--type-about {
    & .left-group {
        .field--name-body {
            max-height: unset;
        }
    }
}
.node--type-about {
    .left-group {
        width: 100%;
        margin-bottom: 25px;
    }
}


}



#header-mob .col-logo{
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    a{
        font-family: 'Inter Tight';
        font-style: normal;
        font-weight: 900;
        font-size: var(--fz-title-block);
        line-height: calc(var(--fz-title-block) + 15px);
        text-transform: uppercase;
        color: #1E1E1E;
        text-decoration: none;
    }
    }
.offcanvas-header .logo a{
    font-family: 'Inter Tight';
    font-style: normal;
    font-weight: 900;
    font-size: var(--fz-title-block);
    line-height: calc(var(--fz-title-block) + 15px);
    text-transform: uppercase;
    color: #1E1E1E;
    text-decoration: none;
}

.offcanvas-body{
    .contacts-label{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 400;
            font-size: calc( var(--fz-text) - 1px );
            line-height: calc( var(--fz-text) + 2px );
            color: rgba(5, 23, 41, 0.5);
            margin-bottom: 5px;
            text-transform: lowercase;
        }
        .tel{
            font-family: 'Inter Tight';
            font-style: normal;
            font-weight: 700;
            font-size: var(--fz-plashki-title);
            line-height: calc( var(--fz-plashki-title) + 5px );
            color: #051729;
            text-decoration: none;

        }
        .tel:hover{
            color: var(--orange);
        }
        .col-tel, .col-city{
            margin-bottom: 10px;
        }
}
.offcanvas-header {
    margin-bottom: 15px;
}


@media screen and (max-width: 576px) {
:root{

    --fz-slider-title: 18px;
    --fz-text: 15px;
    --fz-btn: 12px;
    --fz-header: 16px;
    --fz-plashki-title: 17px;
    --fz-title-block: 18px;    
    --len-container: 100%;
    --pic-h: 220px;
    --img-w: calc( ( var(--len-container) - var(--gap) ) / 3 );
    --img-w3: calc( ( var(--len-container) - 2 * var(--gap) ) / 3 );
    --img-h: 220px;
    --bt-w: 120px;
    --bt-h: 28px;
    --bs-offcanvas-zindex: 10046;
    --mb-block: 40px;
    --gap: 20px;
}
#scrollToTop {
    width: 30px;
    height: 30px;
    right: 25px;
    bottom: 50px;
}

.region-map {
    & #block-vesta-theme-kontakty {
        .col-tel {
            max-width: 200px;
            min-width: 200px;
        }
    }
}
.region-map {
    #block-vesta-theme-kontakty {
        padding: 15px;
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .field--name-body {
            row-gap: 10px;
            column-gap: 25px;
        }
    }
}
.region-map {
    #block-vesta-theme-yandekskarta-2 {
        height: 350px;
        width: 100%;
    }
}
h1 {
    bottom: 25px;
    left: 25px;
}
#header {
    .logo {
        margin-bottom: 5px;
    }
}
#header {
    .tel {
        font-size: 18px;
        margin-bottom: 3px;
    }
}
#header {
    .col-contacts {
        padding: 30px 25px;
        justify-content: end;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-body p {
        line-height: calc(var(--fz-title-block) + 8px);
        text-align: center;
        br {display: none;}
    }

}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-oplata p br{
        display: none;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi.three-in-row .field__item img {
        height: calc(var(--img-w3) - 30px);
    }
}
.node--type-about {
    .field--name-field-izobrazhenie-o-nas {
         height: calc(var(--img-w3) + 100px);
    }
}
.mapContainer{
    width: 100% !important;
    height: 350px !important;

}
.region-map {
    #block-vesta-theme-kontakty {
        width: 100%;
        margin-bottom: 20px;
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .block-title {
             margin-bottom: 10px;
        }
    }
}
.region-map {
    & #block-vesta-theme-kontakty {
        .contacts-label {
            line-height: var(--fz-text);
            margin-bottom: 0;
        }
    }
}
main {
    padding-top: 20px;
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi {
        flex-wrap: wrap;
        gap: var(--gap);
        justify-content: center;
    }
}
.node--type-about {
    flex-direction: column-reverse;
}
.node--type-about {
    .field--name-field-izobrazhenie-o-nas {
        width: 100%;
        height: 280px;
        margin-right: auto;
        margin-left: auto;
        max-width: 350px;
    }
}
.node--type-about {
    & .left-group {
        .field--name-body {
            max-height: unset;
        }
    }
}
.node--type-about {
    .left-group {
        width: 100%;
        margin-bottom: 25px;
    }
}
#header-mob .col-logo {
    width: 250px;
    text-align: center;
}
.node--type-baner.node--view-mode-full {
    .field--name-field-izobrazhenie-baner {
        height: 220px;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .tel-gr {
        flex-direction: column;
        gap: 5px;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .node--type-material.node--view-mode-teaser {
        width: 100%;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-materialy {
        display: flex;
        justify-content: center;
        margin-bottom: 40px;
        flex-direction: column;
        align-items: center;
        flex-wrap: wrap;
        gap: 15px;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-telefon1 {
        justify-content: center;
        margin-right: 0;
    }
}
.node--type-usluga.node--view-mode-teaser {
    & .tel-gr .field--name-dynamic-token-fieldnode-pozvonit a {
            margin: 0 auto;

    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-oplata p {
        text-align: center;
    }
}
.node--type-usluga.node--view-mode-teaser {
    & .field--name-field-foto-uslugi {
        .field__item {
            width: 100%;
            max-width: 350px;
        }
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi.four-in-row .field__item img {
        width: 100%;
    }
}
.node--type-usluga.node--view-mode-teaser {
    .field--name-field-foto-uslugi.three-in-row .field__item img {
        width: 100%;
        height: 220px;
    }
}
.node--type-usluga.node--view-mode-teaser {
    & .node--type-material.node--view-mode-teaser {
        .field--name-node-title {
            text-align: center;
        }
    }
}

.region-map {
    flex-direction: column-reverse;
}
.row-copiryght {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
}
.copyright {
    margin-right: 0;
}
}
